% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/espa_ordering_orderstatus.R
\name{espa_ordering_orderstatus}
\alias{espa_ordering_orderstatus}
\title{espa_ordering_itemstatus}
\usage{
espa_ordering_orderstatus(ordernum = NULL, usgs_eros_username,
  usgs_eros_password, verbose = F)
}
\arguments{
\item{ordernum}{Character. An order number. See https://espa.cr.usgs.gov/ordering/order-status/ for the IDs.}

\item{usgs_eros_username}{Character. Your USGS registration username. You can register for an account at https://espa.cr.usgs.gov}

\item{usgs_eros_password}{Character. Your USGS registration password. WARNING: USING THIS WITH R IS NOT PARTICULARLY SECURE.}

\item{verbose}{Logical. Verbose execution?  Default=F.}
}
\value{
List of order status.
}
\description{
R wrapper for ESPA Order Status API.
}
\details{
Retrieves a submitted orders status
}
\examples{
\dontrun{ 
espa_ordering_orderstatus(ordernum="my@email.com-01122017-154454-218",
		usgs_eros_username="myusername",usgs_eros_password="mypassword")
}
}
\references{
\url{https://github.com/USGS-EROS/espa-api#apiStatus}
}
\author{
Jonathan A. Greenberg (\email{espa-tools@estarcion.net}) (wrapper) 
and USGS ESPA Developers (API and documentation)
}
